Retrieve Binder Template Attributes
Retrieve the attributes of a specific binder template in your Vault.
GET
/api/{version}/objects/binders/templates/{template_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{template_name} | The binder template name__v field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/binders/templates/study_site_level_file_tmf_rm_20__cResponse
Section link for Response{
"responseStatus":"SUCCESS",
"data":[
{
"name__v": "study_site_level_file_tmf_rm_20__c",
"label__v": "Study Site Level File TMF RM 2.0",
"active__v": "true",
"type__v": "site_master_file__v",
"subtype__v": null,
"classification__v": null,
"filing_model__v": "0MO000000000102"
}
]
}Response Details
Section link for Response DetailsThe response lists all attributes configured on a specific binder template in the Vault. Shown above are the attributes configured on the specified template:
| Field Name | Description |
|---|---|
name__v | Name of the binder template. This value is not displayed to end users in the UI. It is seen by Admins and used in the API. |
label__v | Label of the binder template. When users in the UI create binders from templates, they see this value in the list of available templates. |
type__v | Vault document type to which the template is associated. |
subtype__v | Vault document subtype to which the template is associated. This field is only displayed if the template exists at the document subtype or classification level. |
classification__v | Vault document classification to which the template is associated. This field is only displayed if the template exists at the document classification level. |
filing_model__v | eTMF Vaults only. Filing model for the binder template. |